It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
Please, people at GOG- do your homework and find out which Java package is best for the Linux version of B.T.M; then put it on the store page under "system requirements".